<template>
  <div class="home">
    <div class="nav">
      <div class="logo">
        <a href="/" class="logo"><img src="./../assets/Image/logohamrahkish.jpg"/></a>
      </div>
      <ul>
        <li :class="{active:scrollPos == 0}">
          <a @click="$scrollTo(0)">About Us</a>
        </li>
        <li :class="{active:scrollPos == 1}">
          <a @click="$scrollTo(1)">Projects</a>
        </li>
        <li :class="{active:scrollPos == 2}">
          <a @click="$scrollTo(2)">Process</a>
        </li>
        <li :class="{active:scrollPos == 3}">
          <a @click="$scrollTo(3)"> Our Team</a>
        </li>
        <li :class="{active:scrollPos == 4}">
          <a @click="$scrollTo(4)">Customer</a>
        </li>
        <li :class="{active:scrollPos == 5}">
          <a @click="$scrollTo(5)">Contact Us</a>
        </li>
        <li :class="{active:scrollPos == 6}">
          <a @click="$scrollTo(6)" class="flag" href="/fa"><img src="./../assets/Image/iran.svg"/></a>
        </li>
      </ul>
    </div>
    <div class="slider">
      <md-card>
    <md-card-media>
      <!-- swiper -->
      <swiper :options="swiperOption">
        <swiper-slide><img src="./../assets/Image/slider-1.jpg"/></swiper-slide>
        <swiper-slide><img src="./../assets/Image/slider-1.jpg"/></swiper-slide>
        <swiper-slide><img src="./../assets/Image/slider-1.jpg"/></swiper-slide>
        <swiper-slide><img src="./../assets/Image/slider-1.jpg"/></swiper-slide>
        <div class="swiper-button-prev" slot="button-prev"></div>
        <div class="swiper-button-next" slot="button-next"></div>
      </swiper>
    </md-card-media>
  </md-card>
    </div>
    <div v-scroll-spy="scrollPos">
    <div class="consulation">
      <div class="consulation-content">
        <h2>Hamrah Kish</h2>
        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit,
          sed do eiusmod tempor incididunt ut labore et dolore magna
          aliqua. Egestas purus viverra accumsan in nisl nisi. Arcu
          cursus vitae congue mauris rhoncus aenean vel elit scelerisque.
          In egestas erat imperdiet sed euismod nisi
          lectus proin. Sapien faucibus et molestie ac
          feugiat sed lectus </p>
      </div>
    </div>
    <div class="project">
      <div class="title">
         <h2>Projects</h2>
        <p>
          The passages of Lorem Ipsum available but the majority have suffered alteration embarrased
        </p>
      </div>
      <div class="content-project">
        <div v-for="Project in projects" v-bind:key="Project">
        <div class="single-project">
          <div class="single-project-hover">
            <img src="./../assets/Image/choose-1.jpg"/>
            <div class="middle">
              <h2>{{ Project.title }}</h2>
              <p>{{ Project.description}}</p>
            </div>
          </div>
        </div>
      </div>
        <!--<div class="single-project">-->
          <!--<div class="single-project-hover">-->
            <!--<img src="./../assets/Image/choose-2.jpg"/>-->
            <!--<div class="middle">-->
              <!--<p>{{ Project.description}}</p>-->
            <!--</div>-->
          <!--</div>-->
        <!--</div>-->
      </div>
      <!--<div class="content-project">-->
        <!--<div class="single-project">-->
          <!--<div class="single-project-hover">-->
            <!--<img src="./../assets/Image/choose-1.jpg"/>-->
            <!--<div class="middle">-->
              <!--&lt;!&ndash;<p>{{ Project.description}}</p>&ndash;&gt;-->
            <!--</div>-->
          <!--</div>-->
        <!--</div>-->
        <!--<div class="single-project">-->
          <!--<div class="single-project-hover">-->
            <!--<img src="./../assets/Image/choose-2.jpg"/>-->
            <!--<div class="middle">-->
            <!--</div>-->
          <!--</div>-->
        <!--</div>-->
      <!--</div>-->
      <div class="project-button">
        <transition name="fade">
        <div v-if="seen"><div class="hide-content-project">
          <div class="single-hide-project">
          <img src="./../assets/Image/choose-2.jpg" />
        </div>
        <div class="single-hide-project">
          <img src="./../assets/Image/choose-2.jpg" />
        </div>
        <div class="single-hide-project">
          <img src="./../assets/Image/choose-2.jpg" />
        </div>
        </div>
        </div>
        </transition>
        <button v-if="seen" class="button" v-on:click="seen = !seen">Less...</button>
        <button v-else class="button" v-on:click="seen = !seen">More...</button>
      </div>
    </div>
    <div class="process">
      <div class="title">
        <h2>Simple Loan Process</h2>
        <p>
          The passages of Lorem Ipsum available but the majority have suffered alteration embarrased
        </p>
      </div>
      <div class="process-list">
        <div class="process-list-item">
          <div class="single-process">
            <div class="process-content">
              <div class="icon">
               <v-icon name="edit" class="color"></v-icon>
              </div>
              <h2>Choose Loan Amount</h2>
              <p>choose your loan amount<br> and terms to use loan</p>
            </div>
          </div>
          <div class="single-process">
            <div class="process-content">
              <div class="icon">
               <v-icon name="file" class="color"></v-icon>
              </div>
              <h2>Choose Loan Amount</h2>
               <p>choose your loan amount<br> and terms to use loan</p>
            </div>
          </div>
          <div class="single-process">
            <div class="process-content">
              <div class="icon">
               <v-icon name="check-circle" class="color"></v-icon>
              </div>
              <h2>Choose Loan Amount</h2>
              <p>choose your loan amount<br> and terms to use loan</p>
            </div>
          </div>
          <div class="single-process">
            <div class="process-content">
              <div class="icon">
                <v-icon name="dollar-sign" class="color"></v-icon>
              </div>
              <h2>Choose Loan Amount</h2>
              <p>choose your loan amount<br> and terms to use loan</p>
            </div>
          </div>
      </div>
        <div class="process-number">
          <div class="single-number">
            <p>1</p>
          </div>
          <div class="single-number">
            <p>2</p>
          </div>
          <div class="single-number">
            <p>3</p>
          </div>
          <div class="single-number">
            <p>4</p>
          </div>
        </div>
      </div>
    </div>
    <div class="test-section">
      <div class="title">
         <h2>Our Experts</h2>
        <p>
          The passages of Lorem Ipsum available but the majority have suffered alteration embarrased
        </p>
      </div>
      <div class="test-content">
        <div v-for="Expert in experts" v-bind:key="Expert">
        <div class="test-single">
          <di class="test-img">
            <img src="https://thegenius.co/html/loanplus/preview/asset/img/team-1.jpg">
          </di>
          <div class="test-title">
           <h3>{{ Expert.firstName }}&nbsp;{{ Expert.lastName }}</h3>
           <h5>{{ Expert.jobTitle }}</h5>
          </div>
        </div>
        </div>
        <!--<div class="test-single">-->
          <!--<div class="test-img">-->
          <!--<img src="https://thegenius.co/html/loanplus/preview/asset/img/team-2.jpg">-->
          <!--</div>-->
          <!--<div class="test-title">-->
            <!--<h3>DANIEL ANDERSON</h3>-->
            <!--<h5>Professor</h5>-->
          <!--</div>-->
        <!--</div>-->
        <!--<div class="test-single">-->
          <!--<div class="test-img">-->
            <!--<img src="https://thegenius.co/html/loanplus/preview/asset/img/team-3.jpg">-->
          <!--</div>-->
          <!--<div class="test-title">-->
            <!--<h3>DAVID BROOK</h3>-->
            <!--<h5>Teacher</h5>-->
          <!--</div>-->
        <!--</div>-->
        <!--<div class="test-single">-->
          <!--<div class="test-img">-->
            <!--<img src="https://thegenius.co/html/loanplus/preview/asset/img/team-4.jpg">-->
          <!--</div>-->
          <!--<div class="test-title">-->
            <!--<h3>BRIGETH SMITH</h3>-->
            <!--<h5>Teacher</h5>-->
          <!--</div>-->
        <!--</div>-->
      </div>
    </div>
    <div class="Testimonials">
      <div class="title">
        <h2>Testimonials</h2>
        <p>
          The passages of Lorem Ipsum available but the majority have suffered alteration embarrased
        </p>
      </div>
      <div class="customer-content">
        <div v-for="Customer in customers" v-bind:key="Customer">
        <div class="single-customer-content">
            <img src="./../assets/Image/choose-2.jpg" style="height: 180px" />
          <div class="text-content">
            <h4>{{ Customer.title }}</h4>
            <h5>{{ Customer.name }}</h5>
            <h5>{{ Customer.url }}</h5>
            <p>
              {{ Customer.description }}
            </p>
          </div>
        </div>
        </div>
        <!--<div class="single-customer-content">-->
            <!--<img src="./../assets/Image/choose-2.jpg"/>-->
          <!--<div class="text-content">-->
             <!--<h4>Nia Jax</h4>-->
            <!--<h5>Sales Consultant</h5>-->
            <!--<p>-->
              <!--“ I was іmрrеѕѕеd with the соnvеnіеnсе and very hеlрful сuѕtоmеr service.”-->
            <!--</p>-->
          <!--</div>-->
        <!--</div>-->
        <!--<div class="single-customer-content">-->
            <!--<img src="./../assets/Image/choose-2.jpg"/>-->
          <!--<div class="text-content">-->
             <!--<h4>Nia Jax</h4>-->
            <!--<h5>Sales Consultant</h5>-->
            <!--<p>-->
              <!--“ I was іmрrеѕѕеd with the соnvеnіеnсе and very hеlрful сuѕtоmеr service.”-->
            <!--</p>-->
          <!--</div>-->
        <!--</div>-->
      </div>
    </div>
    <div class="contact">
      <div class="title">
        <h2>Contact Us</h2>
      </div>
      <div class="contact-content">
       <div class="form">
         <input type="text"
                 placeholder="Name"
                v-model="credentials.name"
          >
          <input type="email"
                 placeholder="Email"
                 v-model="credentials.email"
          >
         <textarea type="text"
                   placeholder="text"
                   v-model="credentials.text"
         >
         </textarea>
         <div class="button">
             <md-button>Send</md-button>
         </div>
       </div>
         <div class="google-map">
           <gmap-map
               :center="center"
               :zoom="7"
               style="width: 100%; height: 400px"
             >
               <gmap-marker
                 :key="index"
                 v-for="(m, index) in markers"
                 :position="m.position"
                 :clickable="true"
                 :draggable="true"
                 @click="center=m.position"
               >
               </gmap-marker>
             </gmap-map>
         </div>
    </div>
    </div>
    </div>
    <div class="top-footer">
        <div class="top-footer-content">
          <div class="single-top-footer">
            <img src="./../assets/Image/3.jpg"/>
          </div>
          <div class="single-top-footer">
            <img src="./../assets/Image/6.jpg"/>
          </div>
          <div class="single-top-footer">
            <img src="./../assets/Image/fanava.png" />
          </div>
          <div class="single-top-footer">
            <img src="./../assets/Image/4.jpg" />
          </div>
          <div class="single-top-footer">
            <img src="./../assets/Image/GSSTECH.jpg" />
          </div>
        </div>
      </div>
    <div class="footer">
      <div class="footer-content">
        <div class="single-footer-content">
          <h4>LOANPLUS</h4>
          <p>
          Over 24 years experience and knowledge
          Loanplus wе’rе hеrе to рrоvіdе уоu
          wіth fіnаnсіаl ѕоlutіоnѕ fоr аll
          уоur lеndіng needs. Whether you are
          lооkіng fоr any kind of loan, оur
          lending tеаm wіll explain lеndіng
          орtіоnѕ to уоu іn a
          ѕtrаіghtfоrwаrd mаnnеr.
          </p>
        </div>
        <div class="single-footer-content">
          <h4>Solutions</h4>
        </div>
        <div class="single-footer-content">
          <h4>Contact Info</h4>
          <div class="single-footer-info">
            <ul>
              <li class="first"><i class="fa fa-phone-square"></i>Marzdaran, Ebrahimi ave,Alvand Mall, Southern Fourth Floor, Number 406</li>
              <li><i class="fa fa-envelope-square"></i>021-44299556</li>
              <li><i class="fa fa-map-marker"></i>info@hamrahkish.com</li>
            </ul>
          </div>
        </div>
      </div>
    </div>
    <!--<div class="copy-right">-->
      <!--<div class="copy-right-content">-->
      <!--<p>-->
        <!--<i class="fa fa-copyright"></i>-->
        <!--All Rights Reserved-->
      <!--</p>-->
      <!--<div class="social-icon">-->
        <!--<a href="#">-->
          <!--<i class="fa fa-facebook-square"></i>-->
        <!--</a>-->
        <!--<a href="#">-->
          <!--<i class="fa fa-twitter-square"></i>-->
        <!--</a>-->
        <!--<a href="#">-->
          <!--<i class="fa fa-linkedin-square"></i>-->
        <!--</a>-->
        <!--<a href="#">-->
          <!--<i class="fa fa-pinterest-square"></i>-->
        <!--</a>-->
        <!--<a href="#">-->
          <!--<i class="fa fa-vimeo-square"></i>-->
        <!--</a>-->
      <!--</div>-->
      <!--</div>-->
    <!--</div>-->
    </div>
</template>
<script>
import Vue from 'vue'
import feather from 'vue-icon'
import VueMaterial from 'vue-material'
import 'vue-material/dist/vue-material.min.css'
import * as VueGoogleMaps from 'vue2-google-maps'
import 'font-awesome/css/font-awesome.css'
import Parallax from 'vue-parallaxy'
import Scrollspy from 'vue2-scrollspy'
import 'swiper/dist/css/swiper.css'
import { swiper, swiperSlide } from 'vue-awesome-swiper'
import axios from 'axios'
import VueParticles from 'vue-particles'
Vue.use(VueParticles)
Vue.use(VueGoogleMaps, {
  load: {
    key: 'AIzaSyC44FgnA3KKwsnOxqB5m7rpvm0DxPt_bRU',
    v: 'OPTIONAL VERSION NUMBER'
  }
})
Vue.use(feather, 'v-icon')
Vue.use(VueMaterial)
Vue.use(Scrollspy)
// var jalaali = require('jalaali-js')
// Vue.component('carousel', carousel)
export default {
  data () {
    return {
      scrollPos: 0,
      show: false,
      seen: false,
      active: 'home',
      searchString: this.searchString,
      baseClass: 'v-icon',
      classPrefix: 'v-icon-',
      email: '',
      name: '',
      writer: '',
      plot: '',
      date: '',
      operator: '',
      projects: [],
      experts: [],
      customers: [],
      credentials: {
        email: '',
        name: '',
        text: ''
      },
      center:
        {
          lat: 35.733809,
          lng: 51.3451091
        },
      markers: [{
        position: {lat: 35.733809, lng: 51.3451091}
      },
      {
        position: {lat: 35.733809, lng: 51.3451091}
      }],
      swiperOption: {
        navigation: {
          nextEl: '.swiper-button-next',
          prevEl: '.swiper-button-prev'
        }
      }
    }
  },
  components: {
    Parallax,
    swiper,
    swiperSlide
  },
  mounted () {
    axios.get('http://127.0.0.1:8080/apiv1/experts/')
      .then(response => (this.experts = response.data))
    axios.get('http://127.0.0.1:8080/apiv1/projects/')
      .then(response => (this.projects = response.data))
    axios.get('http://127.0.0.1:8080/apiv1/customers/')
      .then(response => (this.customers = response.data))
  }
}
</script>
